#pragma once
#include "mof/InputReceiver.hpp"
#include "mof/tstring.hpp"
#include <fstream>



namespace mof{
	

	class LoggedInputReceiver : public InputReceiver
	{
		std::ifstream m_log;
		
	public:
		
		LoggedInputReceiver(TCHAR* filename );
		virtual ~LoggedInputReceiver();
		virtual bool testKeyState(mof::InputReceiver::Key key);
		virtual void update();
		
	};

};
